# PyASL: Composite Python Library for ASL Image Processing

<p align="center">
  <img src="https://raw.githubusercontent.com/Trico01/pyasl/main/docs/gsoc_logo.svg" alt="Google Summer of Code" height="50"/>
  &nbsp;&nbsp;
  <img src="https://raw.githubusercontent.com/Trico01/pyasl/main/docs/osipi_logo.png" alt="OSIPI" height="70"/>
</p>

**PyASL** is an open-source Python library for processing arterial spin labeling (ASL) MRI data, developed under the [Google Summer of Code (GSoC)](https://summerofcode.withgoogle.com/) program for the [ISMRM OSIPI Task Force 2.2](https://osipi.ismrm.org/task-forces/task-force-2-2/).

It integrates multiple community-validated ASL tools, originally in MATLAB, and supports both human and preclinical pipelines. PyASL includes modules for ASL-MRICloud, ASLtbx, DL-ASL, Oxford ASL, preclinical multi-TI PASL, and preclinical pCASL, harmonized with ASL-BIDS input format.



## Features

- 🧠 Human and 🐭 preclinical ASL support
- 📂 ASL-BIDS format compatibility
- 📘 [Tutorials and Documentation](https://github.com/Trico01/pyasl/wiki/Tutorials)



## Citation

This library is part of the ISMRM 2025 submission:
*ISMRM Open Science Initiative for Perfusion Imaging (OSIPI): Composite Python Library for ASL Image Processing*



## License
This project is licensed under the MIT License – see the [LICENSE](https://github.com/Trico01/PyASL/blob/main/LICENSE) file for details.
